Skip to main content
`Ctrl`+`K`

# KSPFCGSetTruncationType

specify how many of its stored previous directions `KSPFCG` uses during orthogonalization

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPFCGSetTruncationType(KSP ksp, KSPFCDTruncationType truncstrat)

Logically Collective

## Input Parameters

- ksp - the Krylov space context

- truncstrat - the choice of strategy

      KSP_FCD_TRUNC_TYPE_STANDARD uses all (up to `mmax`) stored directions
      KSP_FCD_TRUNC_TYPE_NOTAY uses the last `max(1,mod(i,mmax))` stored directions at iteration i = 0, 1, ...

## Options Database Key

- -ksp_fcg_truncation_type (standard|notay) - specify how many of its stored previous directions `KSPFCG` uses during orthogonalization

## See Also

KSP: Linear System Solvers, `KSPFCG`, `KSPFCDTruncationType`, `KSPFCGGetTruncationType()`, `KSPFCGSetNprealloc()`, `KSPFCGSetMmax()`, `KSPFCGGetMmax()`, `KSP_FCD_TRUNC_TYPE_STANDARD`, `KSP_FCD_TRUNC_TYPE_NOTAY`

## Level

intermediate

## Location

src/ksp/ksp/impls/fcg/fcg.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages